Public Class Favorites

    Private Sub ListView1_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles ListView1.KeyDown
        If e.KeyCode = Keys.Delete Then
            'MsgBox(ListView1.SelectedItems.Item(0).Text) ' get selected item from first column
            ' MsgBox(ListView1.SelectedItems.Item(0).SubItems(1).Text) ' get selected item from second column
            'ListView1.SelectedItems.Item(0).Remove()
            'calls DeleteItem1 and removes selected item
            Call DeleteItem1()
        End If
    End Sub

    Private Sub ListView1_MouseDoubleClick(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles ListView1.MouseDoubleClick

        'play selected
        Call playselected1()

    End Sub

    'set this to public to enable changing and refreshing the rating 
    Public Sub Favorites_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        '----------------------------------------------------------------- 
        'convert to stars
        ListView1.SmallImageList = ImageList1


        'loop each item in particular column
        For intX As Integer = 0 To ListView1.Columns(0).ListView.Items.Count - 1
            'MsgBox(ListView1.Columns(0).ListView.Items(1).Text) //gets items in first column
            ' MsgBox(ListView1.Columns(0).ListView.Items(intX).Text)
            If ListView1.Columns(0).ListView.Items(intX).Text = "5" Then
                ListView1.Columns(0).ListView.Items(intX).ImageIndex = 4
            End If
            If ListView1.Columns(0).ListView.Items(intX).Text = "4" Then
                ListView1.Columns(0).ListView.Items(intX).ImageIndex = 3
            End If
            If ListView1.Columns(0).ListView.Items(intX).Text = "3" Then
                ListView1.Columns(0).ListView.Items(intX).ImageIndex = 2
            End If
            If ListView1.Columns(0).ListView.Items(intX).Text = "2" Then
                ListView1.Columns(0).ListView.Items(intX).ImageIndex = 1
            End If

            If ListView1.Columns(0).ListView.Items(intX).Text = "1" Then
                ListView1.Columns(0).ListView.Items(intX).ImageIndex = 5
            End If

            'ImageList1.Images.Keys(0) // image ingex as integer

        Next
        '----------------------------------------------------------------------

    End Sub
    Public Sub DeleteItem1()
        'check listview selected item first
        If ListView1.SelectedItems.Count > 0 Then
            For Each item3 As ListViewItem In ListView1.SelectedItems
                Dim result1 As DialogResult = MessageBox.Show("Deleting: " & item3.SubItems(1).Text + vbNewLine + "Are you sure?", "Deleting", MessageBoxButtons.YesNo, MessageBoxIcon.Question)
                If result1 = Windows.Forms.DialogResult.Yes Then
                    ListView1.SelectedItems.Item(0).Remove()
                End If
            Next

        End If

    End Sub

    Private Sub DeleteSelectedToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DeleteSelectedToolStripMenuItem.Click
        'delete selected item
        Call DeleteItem1()
    End Sub

    Private Sub OpenFileLocationToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OpenFileLocationToolStripMenuItem.Click
        'open selected file location
        If ListView1.SelectedItems.Count > 0 Then

            For Each item As ListViewItem In ListView1.SelectedItems

                If Not IO.File.Exists(item.SubItems(2).Text) Then
                    MsgBox("File doesn't exists.", MsgBoxStyle.Exclamation)
                Else

                    Dim exeName As String = "explorer.exe"
                    Dim params As String = "/e, /select," & item.SubItems(2).Text.ToString
                    Process.Start(exeName, params)
                End If

            Next
        End If

    End Sub

    Private Sub PlaySelectedToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PlaySelectedToolStripMenuItem.Click
        'play selected
        Call playselected1()
    End Sub

    Public Sub playselected1()
        'play selected media 
        For Each item As ListViewItem In ListView1.SelectedItems

            If Not IO.File.Exists(item.SubItems(2).Text) Then
                MsgBox("File doesn't exists.", MsgBoxStyle.Exclamation, "Favorites")
            Else
                'play file
                Form1.AxWindowsMediaPlayer1.URL = item.SubItems(2).Text
            End If

        Next

    End Sub

    Private Sub ListView1_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles ListView1.MouseDown
        If e.Button = Windows.Forms.MouseButtons.Right Then
            ContextMenuStrip1.Show(CType(sender, Control), e.Location)
        End If
    End Sub

    Private Sub DeleteAllToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DeleteAllToolStripMenuItem.Click
  
        Dim result1 As DialogResult = MessageBox.Show("Deleting: All items " + vbNewLine + "Are you sure?", "Deleting", MessageBoxButtons.YesNo, MessageBoxIcon.Question)
        If result1 = Windows.Forms.DialogResult.Yes Then
            For Each item2 As ListViewItem In ListView1.Items
                ListView1.Items.RemoveAt(item2.Index)
            Next

        End If


    End Sub

    Private Sub AddToToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AddToToolStripMenuItem.Click
        'play all 
        Dim countplaylist As Integer = ListView1.Items.Count
        'MsgBox(countplaylist.ToString)

        If countplaylist > 0 Then
            'clear listboxes

            Form1.ListBox1.Items.Clear()
            Form1.Listbox3.Items.Clear()

            For Each item As ListViewItem In ListView1.Items

                'copy to form1 ' had to add physical listbox in order to access it
                Form1.ListBox1.Items.Add(item.SubItems(1).Text)
                Form1.Listbox3.Items.Add(item.SubItems(2).Text)

                'play 
                ListView1.Items(0).Selected = True


                'Form1.AxWindowsMediaPlayer1.URL = item.SubItems(1).Text
                Form1.ListBox1.SelectedItem = Form1.ListBox1.Items(0)
                Form1.AxWindowsMediaPlayer1.URL = Form1.Listbox3.Items(0)


                ' End If
            Next

        End If



    End Sub

    Private Sub ChangeSelectedRatingToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ChangeSelectedRatingToolStripMenuItem.Click
        'open rating dialog
        If ListView1.SelectedItems.Count > 0 Then
            Rating.ShowDialog()
        End If

    End Sub
End Class